package com.njcn.system.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.njcn.system.pojo.po.Resinformation;
import com.njcn.web.pojo.param.BaseParam;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.InputStream;
import java.util.List;

/**
 * @version 1.0.0
 * @author: zbj
 * @date: 2023/04/17
 */
public interface IResourceAdministrationService extends IService<Resinformation> {

    Boolean uploadFile(MultipartFile multipartFile, String name, String type, String description, String systemType);

    List<Resinformation> queryData(Resinformation resinformation);

    Boolean updateFile(MultipartFile multipartFile, String id, String name, String type, String description, String systemType);

    Boolean deleteFile(String id);

    void downloadFile(String id,HttpServletResponse response) throws IOException;

}
